public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/httplib2/
Date: Thu,  3 Feb 2022 08:27:54 +0000 (UTC)	[thread overview]
Message-ID: <1643876870.6e616dfba31b1b7a5f88e52383b4f47531005b86.mgorny@gentoo> (raw)

commit:     6e616dfba31b1b7a5f88e52383b4f47531005b86
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  3 08:06:36 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb  3 08:27:50 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e616dfb

dev-python/httplib2: Bump to 0.20.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/httplib2/Manifest               |  1 +
 dev-python/httplib2/httplib2-0.20.4.ebuild | 58 ++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/httplib2/Manifest b/dev-python/httplib2/Manifest
index 8fdc1b335caa..e00e914ecd83 100644
--- a/dev-python/httplib2/Manifest
+++ b/dev-python/httplib2/Manifest
@@ -1 +1,2 @@
 DIST httplib2-0.20.2.gh.tar.gz 407815 BLAKE2B ebb3a35b5842eff570c4d804e5dcffa5afde32841eaf1797afd47a58ff7e4d6f945b20c82ad10afe0abff1dd8c5fb405594dca0c6641f8a7a201a71258478c52 SHA512 cb1e0e365ec7872d20c1a8e3ddb150433dd01f4ec816ae2044be6aad6c21afd00ce00dfc57f1348dcc857a63e02e8ffbd39c78f35bb4bba2e283a48f07102159
+DIST httplib2-0.20.4.gh.tar.gz 371778 BLAKE2B 85e2dd0b6213cc5015d4f2f7f923209a61649f948f003eaf3c95c956cb08e6f5bf9dc4e40109c0ddea6a18ab47870a21c7d367ea1eeec2644507568f4e271005 SHA512 46396a9bb439e61939e481a2502567a6dc40686471267ea4c357f141ac138193107f90ac465db683e4ab71e5d92249b810657bff0cb74af7a37a9a23c8320741

diff --git a/dev-python/httplib2/httplib2-0.20.4.ebuild b/dev-python/httplib2/httplib2-0.20.4.ebuild
new file mode 100644
index 000000000000..0d13f9d9faa7
--- /dev/null
+++ b/dev-python/httplib2/httplib2-0.20.4.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A comprehensive HTTP client library"
+HOMEPAGE="https://pypi.org/project/httplib2/"
+SRC_URI="
+	https://github.com/httplib2/httplib2/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+	app-misc/ca-certificates
+	dev-python/pyparsing[${PYTHON_USEDEP}]"
+BDEPEND="
+	test? (
+		dev-libs/openssl
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+	)"
+
+distutils_enable_tests pytest
+
+PATCHES=( "${FILESDIR}"/${PN}-0.12.1-use-system-cacerts.patch )
+
+src_prepare() {
+	sed -i -e '/--cov/d' setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local EPYTEST_DESELECT=(
+		# broken by using system certificates
+		tests/test_cacerts_from_env.py::test_certs_file_from_builtin
+		tests/test_cacerts_from_env.py::test_certs_file_from_environment
+		tests/test_cacerts_from_env.py::test_with_certifi_removed_from_modules
+
+		# broken by new PySocks, probably
+		tests/test_proxy.py::test_server_not_found_error_is_raised_for_invalid_hostname
+		tests/test_proxy.py::test_socks5_auth
+
+		# broken by recerting (TODO)
+		tests/test_https.py::test_min_tls_version
+		tests/test_https.py::test_max_tls_version
+	)
+
+	# tests in python* are replaced by tests/
+	# upstream fails at cleaning up stuff
+	epytest tests
+}


             reply	other threads:[~2022-02-03  8:27 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-03  8:27 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18 16:10 [gentoo-commits] repo/gentoo:master commit in: dev-python/httplib2/ Michał Górny
2023-05-29 12:00 Michał Górny
2023-04-22 16:12 Michał Górny
2023-04-22 10:53 Sam James
2023-03-22  6:23 Michał Górny
2022-11-29  8:41 Michał Górny
2022-11-29  7:26 Arthur Zamarin
2022-10-30  6:39 Michał Górny
2022-08-28  5:06 WANG Xuerui
2022-05-18 10:29 Michał Górny
2022-05-18  9:48 Michał Górny
2022-05-18  6:59 Michał Górny
2022-03-15 14:05 Michał Górny
2022-03-15 11:27 Jakov Smolić
2021-12-19 21:15 Michał Górny
2021-12-19 21:03 Arthur Zamarin
2021-11-18  9:16 Michał Górny
2021-10-27 17:01 Michał Górny
2021-07-01 21:16 Conrad Kostecki
2021-05-30 23:19 Marek Szuba
2021-05-06 23:03 Michał Górny
2021-05-06 22:22 Sam James
2021-03-31 10:14 Michał Górny
2021-02-19 10:57 Michał Górny
2021-02-10  8:35 Michał Górny
2021-02-09 23:38 Michał Górny
2021-02-09 21:31 Sam James
2021-02-09  9:20 Michał Górny
2021-01-22  1:41 Sam James
2021-01-22  1:41 Sam James
2021-01-22  1:41 Sam James
2020-09-20  9:36 Michał Górny
2020-09-04  8:57 Sergei Trofimovich
2020-07-16  4:18 Sam James
2020-06-18  3:15 Aaron Bauman
2020-06-12  7:55 Agostino Sarubbo
2020-06-12  7:54 Agostino Sarubbo
2020-06-12  7:53 Agostino Sarubbo
2020-06-12  7:52 Agostino Sarubbo
2020-06-12  7:51 Agostino Sarubbo
2020-06-11 18:01 Sergei Trofimovich
2020-06-04 14:10 Sergei Trofimovich
2020-06-04 10:32 Michał Górny
2020-06-03 20:23 Michał Górny
2020-05-27  7:45 Michał Górny
2020-04-08 14:01 Agostino Sarubbo
2020-03-27 11:45 Michał Górny
2020-03-27 11:45 Michał Górny
2020-03-25  0:32 Sebastian Pipping
2019-12-03  4:18 Aaron Bauman
2019-08-05  9:12 Patrice Clement
2019-01-28 20:28 Matthew Thode
2017-11-24 22:20 Sergei Trofimovich
2017-10-16  8:28 Sergei Trofimovich
2017-10-15 19:07 Sergei Trofimovich
2017-08-02 16:13 Thomas Deutschmann
2017-08-02 16:13 Thomas Deutschmann
2017-07-15 18:25 Sergei Trofimovich
2017-07-15 17:36 Tobias Klausmann
2017-03-12 12:25 Zac Medico
2017-02-10 10:59 Lars Wendler
2017-01-25 15:45 Mike Gilbert
2016-11-29 17:19 Markus Meier
2016-11-24 11:40 Dirkjan Ochtman
2016-11-23  9:20 Tobias Klausmann
2016-11-20 13:08 Agostino Sarubbo
2016-11-20 13:04 Agostino Sarubbo
2016-02-28  7:25 Matt Thode
2016-02-16 20:42 Mike Frysinger
2016-01-20 15:22 Andreas Schuerch
2016-01-14 11:56 Agostino Sarubbo
2015-11-24 12:10 Justin Lecher
2015-09-29  8:34 Justin Lecher
2015-09-29  7:28 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643876870.6e616dfba31b1b7a5f88e52383b4f47531005b86.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox